Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
metadata = client.sources.update_metadata(
source_id="source_id",
metadata={},
)
print(metadata.records)curl --request PUT \
--url https://developer.qaip.com/api/v1/sources/{source_id}/metadata \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>"
}
]
}
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {records: [{key: '<string>', val: '<string>'}]}})
};
fetch('https://developer.qaip.com/api/v1/sources/{source_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"key": "<string>",
"val": "<string>"
}
]
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Set source metadata
Updates metadata for a specific source. Merges with existing metadata by key. Send val: null to delete a key.
Required roles: All
PUT
/
sources
/
{source_id}
/
metadata
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
metadata = client.sources.update_metadata(
source_id="source_id",
metadata={},
)
print(metadata.records)Authorizations
API key for authentication
Path Parameters
Source ID
Body
application/json
Show child attributes
Show child attributes
Response
Successfully set metadata
List of metadata records. A patch may contain up to 40 items; the merged result is capped at 20.
Maximum array length:
40Show child attributes
Show child attributes
⌘I

